<template>
  <table class="table table-bordered">
    <thead>
      <tr>
        <th scope="col">ID</th>
        <th scope="col">Title</th>
        <th scope="col">Loại</th>
        <th scope="col">Trạng Thái</th>
        <th scope="col">Vị Trí</th>
        <th scope="col">Ngày Public</th>
        <th scope="col">Edit</th>
        <th scope="col">Delete</th>
      </tr>
    </thead>
    <tbody>
      <tr
        v-for="blog,index in DataSender"
        :key="index"
      >
        <td>{{ blog.id }}</td>
        <td>{{ blog.title }}</td>
        <td>{{ blog.category}}</td>
        <td>{{ blog.public == true ? "Public" : "Private" }}</td>
        <td>{{ bindCountry (blog.position[0]) }}</td>
        <td>{{ blog.data_pubblic }}</td>
        <td>
          <nuxt-link
            class="btn btn-outline-success"
            :to="`/blogs/edit/${blog.id}`"
          >edit</nuxt-link>
        </td>
        <td><button
            class="btn btn-outline-danger"
            @click="deletePost(blog.id, index)"
          >Delete</button></td>
      </tr>
    </tbody>
  </table>

</template>

<script>
import axios from 'axios'
import { CATEGORY } from '@/constant/constant'
import { COUNTRY } from '@/constant/constant'
export default {
  props: {
    DataSender: {
      type: Array,
      default: () => []
    }
  },

  data () {
    return {
      category: CATEGORY,
      country: COUNTRY,
      nameCategory: '',
      postID: ''
    }
  },
  computed: {
  },
  methods: {
    bindCategory (id) {
    },

    bindCountry (idCountry) {
      if (idCountry === 1) {
        return 'Việt Nam'
      } else if (idCountry === 2) {
        return 'Châu Á'
      } else if (idCountry === 3) {
        return 'Châu âu'
      } else {
        return 'Châu Mỹ'
      }
    },

    deletePost (postId, index) {
      axios.delete('http://localhost:4000/blogs/' + postId).then((res) => {
        // console.log(postId + ' - ' + index)
      })
    }
  }
}
</script>
<style>
.desktop {
  width: 150px;
  height: 150px;
}
</style>
